cURL
curl --request POST \ --url https://app.demand-iq.com/api/decks/{deckId}/action-configs \ --header 'Content-Type: application/json' \ --cookie session= \ --data ' { "actionType": "loi", "templateMarkdown": "<string>", "disclosuresMarkdown": "<string>", "requirementsJson": {}, "repName": "<string>", "status": "draft" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "actionType": "<string>", "templateMarkdown": "<string>", "status": "draft", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "disclosuresMarkdown": "<string>", "requirementsJson": {}, "repName": "<string>" }
Creates a new contract template or action configuration for a deck.
Session cookie obtained from POST /api/auth/login.
POST /api/auth/login
"loi"
draft
published
Action config created